McElieceCCA2Parameters (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.pqc.crypto.mceliece

## Class McElieceCCA2Parameters

- java.lang.Object
- - org.bouncycastle.pqc.crypto.mceliece.McElieceParameters
  - - org.bouncycastle.pqc.crypto.mceliece.McElieceCCA2Parameters

- All Implemented Interfaces:
    CipherParameters

      public class McElieceCCA2Parameters
      extends McElieceParameters

  This class provides a specification for the parameters of the CCA2-secure variants of the McEliece PKCS that are used with `McElieceFujisakiCipher`, `McElieceKobaraImaiCipher`, and `McEliecePointchevalCipher`.
  See Also:
    `McElieceFujisakiCipher`, `McElieceKobaraImaiCipher`, `McEliecePointchevalCipher`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Digest` | `digest`

    - ### Fields inherited from class org.bouncycastle.pqc.crypto.mceliece.McElieceParameters

      `DEFAULT_M, DEFAULT_T`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `McElieceCCA2Parameters()` Construct the default parameters.
    `McElieceCCA2Parameters(Digest digest)`
    `McElieceCCA2Parameters(int m, int t)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Digest` | `getDigest()`

    - ### Methods inherited from class org.bouncycastle.pqc.crypto.mceliece.McElieceParameters

      `getFieldPoly, getM, getN, getT`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### digest

          public Digest digest

  - ### Constructor Detail

    - #### McElieceCCA2Parameters

          public McElieceCCA2Parameters()

      Construct the default parameters. The default message digest is SHA256.

    - #### McElieceCCA2Parameters

          public McElieceCCA2Parameters(int m,
                                int t)

    - #### McElieceCCA2Parameters

          public McElieceCCA2Parameters(Digest digest)

  - ### Method Detail

    - #### getDigest

          public Digest getDigest()